Bug 6790 - wrong ip-address format in flow-export
: wrong ip-address format in flow-export
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/flow-tools)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-05-06 11:03 by
Modified: 2008-03-11 15:00 (History)


Attachments
flow-export-o.67-ipaddress-patch (5.15 KB, patch)
2005-05-06 11:07, Mike Lykov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-06 11:03:56
нынешний flow-export дает поле ip-address в базу mysql в таком виде:

1115298046      5       534     213     217     8       10      80 
3704    6

(адреса - в 4 и 5 колонке в виде 213 и 217 - впечатление, что это только первый
октет, явно недостаточно для нормального учета)

один умный человек (Анрей Черный, Опти-телеком, Самара) написал патч на
flow-export, и после него алреса 
выглядят так:

1115298046      4       160     1347593882      1074534776      21 
3       1034    5190    6

(та же 4 и 5 колонка, формат inet_ntoa, это уже подходит для использования, в
отличие от предыдущего).

патч прилагается.
------- Comment #1 From 2005-05-06 11:07:12 -------
Created an attachment (id=871) [details]
flow-export-o.67-ipaddress-patch

патч на flow-export для корректной подачи ip-адресов в таблицу mysql
------- Comment #2 From 2005-05-13 09:57:12 -------
Включено, но накладыватся только при сборке с опцией --with mysql  

------- Comment #3 From 2008-03-11 14:20:35 -------
Reassign to real maintainer.
------- Comment #4 From 2008-03-11 15:00:40 -------
fixed since 0.67-alt6.